X2Go Bug report logs - #454
[X2Go-User] Buggy File & Folder sharing

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Fri, 14 Mar 2014 13:55:01 UTC

Severity: important

Merged with 455, 456, 477

Found in version 3.99.2.1

Fixed in version 4.1.0.0

Done: Mihai Moldovan <ionic@ionic.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#454; Package x2goclient. (Fri, 14 Mar 2014 13:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 14 Mar 2014 13:55:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Graham Stoddart-Stones <gstones@pacifera.com>
Cc: Thierry Kauffmann <thierry.kauffmann@univ-montp2.fr>, x2go-user@lists.berlios.de, submit@bugs.x2go.org
Subject: Re: [X2Go-User] Buggy File & Folder sharing
Date: Fri, 14 Mar 2014 13:53:55 +0000
[Message part 1 (text/plain, inline)]
Package: x2goclient
Tag: build-macosx
Severity: important
Version: 3.99.2.1

Hi Graham, hi Thierry,

[I forward this bug repport to our bug tracker

On  Do 13 Mär 2014 15:01:42 CET, Graham Stoddart-Stones wrote:

> Thierry:
>
> Just to confirm that we are encountering the same problem with Mac  
> OSX 3.5.1, X2Goclient 3.99.2.1:
>
> When you start up X2Goclient on the Mac, you get an error dialog:
>
> "sshd client not started, you'll need sshd for printing and file  
> sharing....."
>
> In OSX, openssh-server is built-in, and is activated by setting  
> "Enable Remote Login" in System Preferences Sharing, as many others  
> have noted. However, this does not stop the error dialog from  
> recurring every time. That leads to another error message "File  
> cannot be opened". If one ignores this, X2Goclient starts and runs  
> normally, provided one wishes to neither print locally, nor share  
> files from the Mac with the remote server.
>
> I have seen lots of other emails on this topic, suggesting that the  
> error message does not necessarily apply to the Mac (ie sshd is in  
> fact running, the error message simply means that the x2goclient  
> code is looking for a response from a Linux-like file (which does  
> not occur in the same place in OSX), similarly the "File Cannot be  
> opened" again refers to a file that is either not used on a Mac, or  
> is in a wholly different location from where that file is actually  
> stored on a Mac. I have not seen this point formally answered  
> anywhere.
>
> For me, the concern is that, whether sshd is running on the Mac or  
> not, File Sharing does not appear to be working. I am not  
> sufficiently familiar with X2Go nor with the Mac to know where to  
> look on the server for the Mac shared folders, but I do know that  
> there is nothing under "media", as there is with Linux and a PC,  
> which is where I normally look. Again, I have searched the bulletins  
> and forums, and often seen this point raised - I have just not found  
> the answer on how to get round it.
>
> So, am keen to see how you get on, and whether anybody else can  
> please shed any light!

Can you cross-check the observed problem with latest X2Go Client [1]???

Can you launch X2Go Client from a terminal on Mac OS X and use a tool  
like strace (if that exists) and check its output for pointers to  
file-not-found errors?

That would be really helpful for tracking down this issue.

Mike

[1] http://code.x2go.org/releases/binary-macosx/x2goclient/releases/4.0.1.3/
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Merged 454 455 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 07 Jun 2014 13:25:02 GMT) Full text and rfc822 format available.

Merged 454 455 456 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 07 Jun 2014 13:25:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#454; Package x2goclient. (Tue, 28 Feb 2017 15:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 28 Feb 2017 15:20:02 GMT) Full text and rfc822 format available.

Message #14 received at 454@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: 454@bugs.x2go.org, Graham Stoddart-Stones <gstones@pacifera.com>
Cc: "x2go-dev@lists.x2go.org" <x2go-dev@lists.x2go.org>, Thierry Kauffmann <thierry.kauffmann@univ-montp2.fr>
Subject: Re: Buggy File & Folder sharing
Date: Tue, 28 Feb 2017 16:19:08 +0100
[Message part 1 (text/plain, inline)]
Control: fixed -1 4.1.0.0
Control: close -1

On 14.03.2014 02:53 PM, Mike Gabriel wrote:
> Package: x2goclient
> Tag: build-macosx
> Severity: important
> Version: 3.99.2.1
> 
> Hi Graham, hi Thierry,
> 
> [I forward this bug repport to our bug tracker
> 
> On  Do 13 Mär 2014 15:01:42 CET, Graham Stoddart-Stones wrote:
> 
>> Thierry:
>>
>> Just to confirm that we are encountering the same problem with Mac  
>> OSX 3.5.1, X2Goclient 3.99.2.1:
>>
>> When you start up X2Goclient on the Mac, you get an error dialog:
>>
>> "sshd client not started, you'll need sshd for printing and file  
>> sharing....."
>>
>> In OSX, openssh-server is built-in, and is activated by setting  
>> "Enable Remote Login" in System Preferences Sharing, as many others  
>> have noted. However, this does not stop the error dialog from  
>> recurring every time. That leads to another error message "File  
>> cannot be opened". If one ignores this, X2Goclient starts and runs  
>> normally, provided one wishes to neither print locally, nor share  
>> files from the Mac with the remote server.
>>
>> I have seen lots of other emails on this topic, suggesting that the  
>> error message does not necessarily apply to the Mac (ie sshd is in  
>> fact running, the error message simply means that the x2goclient  
>> code is looking for a response from a Linux-like file (which does  
>> not occur in the same place in OSX), similarly the "File Cannot be  
>> opened" again refers to a file that is either not used on a Mac, or  
>> is in a wholly different location from where that file is actually  
>> stored on a Mac. I have not seen this point formally answered  
>> anywhere.
>>
>> For me, the concern is that, whether sshd is running on the Mac or  
>> not, File Sharing does not appear to be working. I am not  
>> sufficiently familiar with X2Go nor with the Mac to know where to  
>> look on the server for the Mac shared folders, but I do know that  
>> there is nothing under "media", as there is with Linux and a PC,  
>> which is where I normally look. Again, I have searched the bulletins  
>> and forums, and often seen this point raised - I have just not found  
>> the answer on how to get round it.
>>
>> So, am keen to see how you get on, and whether anybody else can  
>> please shed any light!

Should be fixed in 4.1.0.0 due to X2Go Client now always starting a private sshd
instance. Please test.

Closing bug, report back if it's not fixed for you. If you're still using X2Go,
that is...



Mihai

[signature.asc (application/pgp-signature, attachment)]

Marked as fixed in versions 4.1.0.0. Request was from Mihai Moldovan <ionic@ionic.de> to 454-submit@bugs.x2go.org. (Tue, 28 Feb 2017 15:20:02 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mihai Moldovan <ionic@ionic.de> to 454-submit@bugs.x2go.org. (Tue, 28 Feb 2017 15:20:02 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Tue, 28 Feb 2017 15:20:02 GMT) Full text and rfc822 format available.

Merged 454 455 456 477 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 28 Feb 2017 15:25:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 29 Mar 2017 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Jul 19 03:49:40 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.